name: rosbag-lid
plugins:
- name: panda-rosbag-lid
  pluginSpec:
    image: registry.gitlab.com/lbl-anp/panda/dawn_pipeline/plugin-rosbag:v1.0.1
    resource:
      request.cpu: 100m
      limit.cpu: 1000m
      request.memory: 100Mi
      limit.memory: 500Mi
    env:
      SIZE: 256
      BAGDIR: /home/panda/mount/bags
      PRFX: panda-lid-stream
      TOPICS: "/os_cloud_node/points"
nodes:
  W05B:
scienceRules:
- 'schedule(panda-rosbag-lid): True'
successcriteria:
- WallClock(1d)
